// Ethernet preamble
  7'h00: udp_data<= 8'h55;
  7'h01: udp_data<= 8'h55;
  7'h02: udp_data<= 8'h55;
  7'h03: udp_data<= 8'h55;
  7'h04: udp_data<= 8'h55;
  7'h05: udp_data<= 8'h55;
  7'h06: udp_data<= 8'h55;
  7'h07: udp_data<= 8'hD5; // SOF mark

// Ethernet header
  7'h08: udp_data<= DestMACAddress_1;
  7'h09: udp_data<= DestMACAddress_2;
  7'h0A: udp_data<= DestMACAddress_3;
  7'h0B: udp_data<= DestMACAddress_4;
  7'h0C: udp_data<= DestMACAddress_5;
  7'h0D: udp_data<= DestMACAddress_6;
  7'h0E: udp_data<= SrcMACAddress_1;
  7'h0F: udp_data<= SrcMACAddress_2;
  7'h10: udp_data<= SrcMACAddress_3;
  7'h11: udp_data<= SrcMACAddress_4;
  7'h12: udp_data<= SrcMACAddress_5;
  7'h13: udp_data<= SrcMACAddress_6;
  7'h14: udp_data<= Lo_Prot_Type_IP[15:8]; // Type code : &H'0800 > IP Packet, &H'0806 > ARP packet	&H'8035 > ARP/RARP
  7'h15: udp_data<= Lo_Prot_Type_IP[7:0]; // lo byte
  	 
 // IP header
  7'h16: udp_data<= {IPV, IHL}; // IP Version=4, IHL:  Internet header length in 32bit words =>5
  7'h17: udp_data<= Serv_Type;  // Type of service: Precedence, urgency  RFC791 pg12
  7'h18: udp_data<= Len[15:8];  // total length hi byte
  7'h19: udp_data<= Len[7:0];  //  total length lo byte &H'2E=46 a minimum length allowed
  7'h1A: udp_data<= Frame_Id;   // Frame identification,  
  7'h1B: udp_data<= Frame_Cnt;  // single frame therefore 0000
  7'h1C: udp_data<= {Flags, Frag_Ofs_Hi}; // three bits flags, 5 bits fragment offset
  7'h1D: udp_data<= Frag_Ofs_Lo;   // 8 remaining bits of fragment offset
  7'h1E: udp_data<= Time_To_Live;  // packet time to live: 8 router hops 
  7'h1F: udp_data<= Packet_Type;   // &H'11 = 17 ; UDP packet
  7'h20: udp_data<= IPchecksum3[15:8];	 //  checksum of IP header
  7'h21: udp_data<= IPchecksum3[ 7:0];
  7'h22: udp_data<= IPsource_1;
  7'h23: udp_data<= IPsource_2;
  7'h24: udp_data<= IPsource_3;
  7'h25: udp_data<= IPsource_4;
  7'h26: udp_data<= IPdestination_1;
  7'h27: udp_data<= IPdestination_2;
  7'h28: udp_data<= IPdestination_3;
  7'h29: udp_data<= IPdestination_4;

// UDP header
  7'h2A: udp_data<= Src_Port[15:8]; // Src port, hi byte	(port 1024)
  7'h2B: udp_data<= Src_Port[7:0]; // Src port, lo byte
  7'h2C: udp_data<= Dest_Port[15:8]; // Dest port, hi byte
  7'h2D: udp_data<= Dest_Port[7:0]; // Dest port, lo byte
  7'h2E: udp_data<= Udp_Packet_Len[15:8]; // length of UDP packet, hi byte
  7'h2F: udp_data<= Udp_Packet_Len[7:0]; // length of UDP packet, lo byte  // To do: parametarski zapis
  7'h30: udp_data<= UDP_CS[15:8]; // UDP Checksum Hi  (Optional) 
  7'h31: udp_data<= UDP_CS[7:0]; // UDP Checksum Lo  (Optional)

// data frame
  7'h32: udp_data<= Dummy_Data_U[15:8];   // Dummy data HI
  7'h33: udp_data<= Dummy_Data_U[7:0];   // Dummy data LO
  7'h34: udp_data<= Data_In; // dodati Rd_En i ispitati timing
  7'h35: udp_data<= Data_In; // FIFO ili DPRam ?
  7'h36: udp_data<= Data_In; // 
  7'h37: udp_data<= Data_In; // 
  7'h38: udp_data<= Data_In; // 
  7'h39: udp_data<= Data_In; // 
  7'h3A: udp_data<= Data_In; // 
  7'h3B: udp_data<= Data_In; // 
  7'h3C: udp_data<= Data_In; // 
  7'h3D: udp_data<= Data_In; // 
  7'h3E: udp_data<= Data_In; // 
  7'h3F: udp_data<= Data_In; // 
  7'h40: udp_data<= Data_In; // 
  7'h41: udp_data<= Data_In; // 
  7'h42: udp_data<= Data_In; // 
  7'h43: udp_data<= Data_In; //

default: udp_data <= 8'bx;	 