// "IP source addr"
parameter IPsource_1 = 192;
parameter IPsource_2 = 168;
parameter IPsource_3 = 0;
parameter IPsource_4 = 12;

// "IP destination addr" 
parameter IPdestination_1 = 255;//Broadcast
parameter IPdestination_2 = 255;
parameter IPdestination_3 = 255;
parameter IPdestination_4 = 255;

// "Dest MAC Addr" 
parameter DestMACAddress_1 = 8'hff;//Broadcast
parameter DestMACAddress_2 = 8'hff;
parameter DestMACAddress_3 = 8'hff;
parameter DestMACAddress_4 = 8'hff;
parameter DestMACAddress_5 = 8'hff;
parameter DestMACAddress_6 = 8'hff;

// "Src MAC Addr" 
parameter SrcMACAddress_1 = 8'h00;
parameter SrcMACAddress_2 = 8'h0c;
parameter SrcMACAddress_3 = 8'h6e;
parameter SrcMACAddress_4 = 8'h1a;
parameter SrcMACAddress_5 = 8'h56;
parameter SrcMACAddress_6 = 8'h59;


parameter Lo_Prot_Type_IP = 16'h0800; // 
parameter Lo_Prot_Type_ARP = 16'h0806; //
parameter Lo_Prot_Type_RARP = 16'h8035; //


// "IP Header Info"
parameter IPV = 4'h4;	        // IP Version = 4  
parameter IHL = 4'h5;           // IHL  Internet header length in 32bit words =>5
parameter Serv_Type = 8'h00;    // Type of service
parameter Len = 16'h002E;	  // total length  &H'2E=46 a minimum length allowed
parameter Frame_Id = 8'h00;	  // Frame identification,
parameter Frame_Cnt = 8'h00;	  // single frame therefore 0000
parameter Flags = 3'h0;	        // bit 1 = 0 reserved , bit 2 frag/dont Frag , 3 bit last frag/ more frags
parameter Frag_Ofs_Hi = 5'h00;  // Fragment offset hi bits
parameter Frag_Ofs_Lo = 8'h00;  // Fragment offset lo bits
parameter Time_To_Live = 8'h80; // Time to live : 8 Router hops
parameter Packet_Type = 8'h11;  // Type of packet:
                                                    // 17 dec = &8'h11 = UDP 
																	 // 1 = ICMP
																	 // 6 = TCP

// "ARP Header Info"

parameter HW_Type = 16'h0001;   //   
parameter Hi_Prot_Type = 16'h0800;  //
parameter H_Len = 8'h06;  //  MAC addr len = 6
parameter P_Len = 8'h04;  //  IP addr len = 4
parameter ARP_Op = 16'h0002; //	Request > 0001, but usually resp >0002


// "UDP Header Info"

parameter Src_Port = 16'h0400; // 1024 test port
parameter Dest_Port = 16'h0400; // 1024 test port
parameter Udp_Packet_Len = 16'h001A; //  UDP Packet length 1A hex = 26 dec
parameter UDP_CS = 16'h0000; // Null if not used, ffff if 0000. (Calculation according to RFC768 and RFC1071)


// "Misc"

parameter Dummy_Data_U = 16'h55aa; // Just for debugging
parameter Dummy_Data_A = 16'hcccc; //